﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 352: (1 yr) VER IEEE /9500/600+2Hd
DATE:                  2010-07-30 13:04:17
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       258
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ352
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Cal Initialize IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WJ354
#        Serial No : LCRY0101J23242
#        Options   : WJ-GPIB
#        Firmware  : 4.05
#
# Average run time during testing :  10 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  M9500                       CH1
  1.004  9500         500MH                        1Vpp           LS    S
  1.005  M9500                       CH2
  1.006  9500         500MH                        1Vpp           LS    S
  1.007  ENDIF

  1.008  MATH         @ReqMetCalVersion = "7.20v"
  1.009  CALL         Sub MET/VERsion Check

  1.010  IF           NOT(@MetCalVersionOK)
  1.011  DISP         This procedure requires MET/CAL 7.20v or later.
  1.012  END
  1.013  ENDIF

  1.014  CALL         Sub Display Copyright
  1.015  CALL         Sub High Voltage Safety Warning

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.018  DISP         operation as follows:
  1.018  DISP
  1.018  DISP         Push UUT front panel UTILITES button, followed by the
  1.018  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.018  DISP         "GPIB" softkey.
  1.018  DISP
  1.018  DISP         If this workstation is equipped with two GPIB cards,
  1.018  DISP         the address is unimportant, as long as it is not (0)
  1.018  DISP         zero. If only 1 GPIB card is installed, however, the
  1.018  DISP         UUT address must not conflict with those of configured
  1.018  DISP         references.
  1.018  DISP
  1.018  DISP         If necessary, depress the "Address" softkey and set
  1.018  DISP         the UUT address using the ADJUST knob.
  1.018  DISP
  1.018  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.018  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.019  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.020  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.021  DISP         The file parameter setting is: "acc_check=no"
  1.021  DISP
  1.021  DISP         For correct procedure execution, this parameter
  1.021  DISP         MUST be set to: "acc_check=yes"
  1.021  DISP
  1.021  DISP         Select "Advance" to terminate the procedure, exit
  1.021  DISP         MET/CAL®, change the initialization file parameter,
  1.021  DISP         restart MET/CAL, then restart the procedure.
  1.022  END
  1.023  ENDIF

  1.024  IEEE         *CLS;*RST

  1.025  HEAD         UUT IDENTIFICATION
  1.026  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.027  MATH         @UUT_Manufacturer = "LECROY"
  1.028  MATH         @UUT_Model        = "WJ352"
  1.029  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.030  IF           @Abort
  1.031  END
  1.032  ENDIF

  1.033  IF           @FirmwareRev < 3.06
  1.034  DISP         This procedure requires firmware version 3.06 or later.
  1.034  DISP
  1.034  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.034  DISP         firmware and installation instructions are available
  1.034  DISP         for download.
  1.035  ENDIF

  1.036  CALL         Sub Select Failed Test Mode
  1.037  CALL         Sub Select Verification Method (No NTHROW)

# Set the system confidence level to 95%.
  1.038  MATH         @SysConf   = 2
  1.039  MATH         @DevName   = "Datron 9500"
  1.040  MATH         @Bandwidth = 500E+6
  1.041  MATH         @NumChan   = 2

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.042  MATH         @SourceMultiCh = 1

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   PEAK-PEAK NOISE LEVEL              PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH1)       EXTERNAL INPUT IMPEDANCE
#    4.   CHANNEL INPUT IMPEDANCE(CH2)       CHANNEL INPUT IMPEDANCE(CH1)
#    5.   EXTERNAL INPUT IMPEDANCE           CHANNEL INPUT IMPEDANCE(CH2)
#    6.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#    7.   DC GAIN ACC(CH2)                   DC GAIN ACC(CH2)
#    8.   OFFSET ACC(CH1)                    OFFSET ACC(CH1)
#    9.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   10.   Bandwidth(CH1)                     Bandwidth(CH1)
#   11.   Bandwidth(CH2)                     Bandwidth(CH2)
#   12.   TRIGGER LEVEL(CH1)                 TRIGGER LEVEL(CH1)
#   13.   TRIGGER LEVEL(CH2)                 TRIGGER LEVEL(CH2)
#   14.   TIME BASE                          TIME BASE

  1.043  CALL         Sub LeCroy WJ300 Self-Test IEEE

  1.044  IF           @Abort
  1.045  END
  1.046  ENDIF

  1.047  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.048  LABEL        CHANNEL_INPUT_IMPEDANCE
  1.049  MATH         @Chan = 1
  1.050  M9500                       CH1
  1.051  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  1.052  MATH         @Chan = 2
  1.053  M9500                       CH2
  1.054  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  1.055  JMPL         DC_GAIN_ACC

  1.056  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.057  MATH         @Chan = 5
  1.058  M9500                       CH1
  1.059  CALL         Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
  1.060  JMPL         CHANNEL_INPUT_IMPEDANCE

  1.061  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.062  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  1.063  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.064  LABEL        DC_GAIN_ACC
  1.065  MATH         @Chan = 1
  1.066  M9500                       CH1
  1.067  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  1.068  MATH         @Chan = 2
  1.069  M9500                       CH2
  1.070  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500

  1.071  MATH         @Chan = 1
  1.072  M9500                       CH1
  1.073  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  1.074  MATH         @Chan = 2
  1.075  M9500                       CH2
  1.076  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500

  1.077  MATH         @Chan = 1
  1.078  M9500                       CH1
  1.079  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  1.080  MATH         @Chan = 2
  1.081  M9500                       CH2
  1.082  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600

  1.083  MATH         @Chan = 1
  1.084  M9500                       CH1
  1.085  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  1.086  MATH         @Chan = 2
  1.087  M9500                       CH2
  1.088  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500

  1.089  MATH         @Chan = 1
  1.090  M9500                       CH1
  1.091  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500

  1.092  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.093  END
